Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djepJUnit
Class MatrixJepTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.lsmp.djepJUnit.JepTest
                  org.lsmp.djepJUnit.XJepTest
                      org.lsmp.djepJUnit.DJepTest
                          org.lsmp.djepJUnit.MatrixJepTest

All Implemented Interfaces:
  junit.framework.Test

    public class MatrixJepTest

extends DJepTest

Author:
  Rich Morris Created on 22-Apr-2005

Field Summary

Fields inherited from class org.lsmp.djepJUnit.JepTest
`SHOW_BAD`

Constructor Summary
`MatrixJepTest(java.lang.String name)`

Method Summary
`java.lang.Object` | `calcValue(Node node)`
`static void` | `main(java.lang.String[] args)` Main entry point.
`protected void` | `setUp()` Run before each test.
`static junit.framework.Test` | `suite()` Create a test suite.
`void` | `testComplexMatricies()`
`void` | `testDotInName()`
`void` | `testLength()`
`void` | `testMatrix()`
`void` | `testTgtDev()`
`void` | `testVecCmp()`
`void` | `testVectorSum()`
`void` | `valueTest(java.lang.String expr, double a)` Test parse and evaluate with with a Double result.

Methods inherited from class org.lsmp.djepJUnit.DJepTest
`testAssignDiff, testChainedVaraibles, testDiff`

Methods inherited from class org.lsmp.djepJUnit.XJepTest
`parsePreprocSimp, parseProcSimpEval, simplifyTest, simplifyTestString, testBad, testDefine, testFormat, testHex, testLogical, testMacroFun, testPrint, testReentrant, testSimp, testSum, testUndecVar, testVariableReuse, testVarInEqn`

Methods inherited from class org.lsmp.djepJUnit.JepTest
`calcValue, complexValueTest, myAssertEquals, myAssertNaN, testAssign, testAssign2, testBinom, testComplex, testFunction, testGood, testIf, testNaN, testNumParam, testSimpleSum, testUndeclared, valueTest, valueTest, valueTest, valueTestInt, valueTestNaN`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MatrixJepTest

    public MatrixJepTest(java.lang.String name)

Parameters:
  `name` -

Method Detail

### suite

    public static junit.framework.Test suite()

  Create a test suite.

  Returns:
    the TestSuite

### main

    public static void main(java.lang.String[] args)

  Main entry point.

  Parameters:
    `args` -

### setUp

    protected void setUp()

  Description copied from class: `JepTest`
  Run before each test.

  Overrides:
    `setUp` in class `DJepTest`

### calcValue

    public java.lang.Object calcValue(Node node)
                               throws ParseException

  Overrides:
    `calcValue` in class `JepTest`
  Throws:
    `ParseException`

### valueTest

    public void valueTest(java.lang.String expr,
                          double a)
                   throws java.lang.Exception

  Description copied from class: `JepTest`
  Test parse and evaluate with with a Double result.

  Overrides:
    `valueTest` in class `JepTest`
    `a` - expected value will be converted to a Double.
  Throws:
    `java.lang.Exception`

### testMatrix

    public void testMatrix()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testLength

    public void testLength()
                    throws ParseException,
                           java.lang.Exception

  Throws:
    `ParseException`
    `java.lang.Exception`

### testDotInName

    public void testDotInName()
                       throws ParseException,
                              java.lang.Exception

  Overrides:
    `testDotInName` in class `JepTest`
  Throws:
    `ParseException`
    `java.lang.Exception`

### testVecCmp

    public void testVecCmp()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testVectorSum

    public void testVectorSum()
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testTgtDev

    public void testTgtDev()
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testComplexMatricies

    public void testComplexMatricies()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems